Modify

#1253 closed defect (notmyfault)

Bitlbee crash after updating ubuntu 16

Reported by: anonymous Owned by:
Priority: normal Milestone:
Component: BitlBee Version: Unspecified
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description (last modified by dx)

After updating to Ubuntu 16.04 LTS I am geting a crash for bitlbee:

root@barney:~# BITLBEE_DEBUG=1 /usr/sbin/bitlbee -nD -c /etc/bitlbee/bitlbee.conf
DEBUG prefs: /pidgin/plugins/loaded changed, scheduling save.
DEBUG prefs: /plugins/gtk/libnotify/auto_loaded changed, scheduling save.
DEBUG util: requesting to fetch a URL
DEBUG dnsquery: Performing DNS lookup for 192.168.1.1
DEBUG dnsquery: IP resolved for 192.168.1.1
DEBUG proxy: Attempting connection to 192.168.1.1
DEBUG proxy: Connecting to 192.168.1.1:55171 with no proxy
DEBUG proxy: Connection in progress
DEBUG proxy: Connecting to 192.168.1.1:55171.
DEBUG proxy: Connected to 192.168.1.1:55171.
DEBUG util: request constructed
DEBUG util: Response headers: 'HTTP/1.1 200 OK
Content-Type: text/xml; charset="utf-8"
Connection: close
Content-Length: 2666
Server: UPnP/Tomato 1.28.0000 MIPSR2-3.0-132 K26 USB Mega-VPN UPnP/1.1 MiniUPnPd/1.9
Ext:

'
DEBUG util: parsed 2666
DEBUG util: requesting to fetch a URL
DEBUG dnsquery: Performing DNS lookup for 192.168.1.1
DEBUG dnsquery: Performing DNS lookup for 192.168.1.1
DEBUG dnsquery: IP resolved for 192.168.1.1
DEBUG proxy: Attempting connection to 192.168.1.1
DEBUG proxy: Connecting to 192.168.1.1:55171 with no proxy
DEBUG proxy: Connection in progress
DEBUG dnsquery: IP resolved for 192.168.1.1
DEBUG proxy: Attempting connection to 192.168.1.1
DEBUG proxy: Connecting to 192.168.1.1:55171 with no proxy
DEBUG proxy: Connection in progress
DEBUG proxy: Connecting to 192.168.1.1:55171.
DEBUG proxy: Connected to 192.168.1.1:55171.
DEBUG util: request constructed
DEBUG proxy: Connecting to 192.168.1.1:55171.
DEBUG proxy: Connected to 192.168.1.1:55171.
DEBUG upnp: Local IP: 192.168.1.3
DEBUG util: Response headers: 'HTTP/1.1 200 OK
Content-Type: text/xml; charset="utf-8"
Connection: close
Content-Length: 358
Server: UPnP/Tomato 1.28.0000 MIPSR2-3.0-132 K26 USB Mega-VPN UPnP/1.1 MiniUPnPd/1.9
Ext:

'
DEBUG util: parsed 358
DEBUG upnp: NAT Returned IP: 5.15.186.208
DEBUG util: Writing file prefs.xml to directory /etc/bitlbee/config//purple
DEBUG util: Writing file /etc/bitlbee/config//purple/prefs.xml
DEBUG util: Reading file blist.xml from directory /etc/bitlbee/config//purple/Tr                                                                                ex
DEBUG util: File /etc/bitlbee/config//purple/Trex/blist.xml does not exist (this is not necessarily an error)
DEBUG prefs: Reading /etc/bitlbee/config//purple/Trex/prefs.xml
DEBUG prefs: Reading /etc/purple/prefs.xml
DEBUG prefs: /pidgin/plugins/loaded changed, scheduling save.
DEBUG prefs: Finished reading /etc/purple/prefs.xml
DEBUG account: Connecting to account trex_daemon.
DEBUG connection: Connecting. gc = 0x55eb3e1c9f50
DEBUG util: requesting to fetch a URL
DEBUG util: Defaulting max download from http://vcs2.msg.yahoo.com/capacity to 524288
DEBUG dnsquery: Performing DNS lookup for vcs2.msg.yahoo.com
DEBUG account: Connecting to account trex2004@gmail.com.
DEBUG connection: Connecting. gc = 0x55eb3e1db8a0
DEBUG dnssrv: querying SRV record for gmail.com: _xmpp-client._tcp.gmail.com
About to send HTTP request:
GET /1.1/friends/ids.json?cursor=-1 HTTP/1.1
Host: api.twitter.com
User-Agent: BitlBee 3.4.2-0ubuntu1 Linux/x86_64
Authorization: OAuth oauth_consumer_key="xsDNKJuNZYkZyMcu914uEA", oauth_nonce="V8b2RQn3fXsf%2FxIGR9LXo75PgGz", oauth_signature_method="HMAC-SHA1", oauth_timestamp="1462523259", oauth_token="286857137-uM5M8XQGev6oqyxVkpf3kjUkCDJqtYF1BUvn8", oauth_version="1.0", oauth_signature="xc%2Fl%2BqCsmKd31cnYlJo66Y%2BHDYg%3D"


[INFO] facebook: POST Request (0x55eb3e1e5f80): https://graph.facebook.com/graphql
[INFO] facebook:   Content-Type: application/x-www-form-urlencoded
[INFO] facebook:   Connection: Close
[INFO] facebook:   Accept: */*
[INFO] facebook:   Content-Length: 286
[INFO] facebook:   Host: graph.facebook.com
[INFO] facebook:   Authorization: OAuth CAADo1TDZCuu8BAJngcLchK5Mg0ZAv36M2m0UcJ6xvP5E9H4gOlygHKW3y0A4pD9RGJ01F78jCByL2ximt3kZAabYANrn2OusHNyjWcicsJdHuif                                                                                P3ML8iCiBPtuP0ebhut0IdPa1tTUQzNToyRBpIF7kMALp8GhbZCZBAZA1nEaTTEg
[INFO] facebook:
[INFO] facebook:   fb_api_req_friendly_name=FetchContactsFullQuery&locale=en_US&query_params=%7B%220%22%3A%5B%22user%22%5D%2C%221%22%3A%22500%22%7D&format=json&device_id=3ee28c2a-30e0-4a32-a03a-f9060c5183e2&sig=e56741d7e7bdbc616ea2cd7db7&api_key=256002347743983&method=get&query_id=10153856456271729
About to send HTTP request:
POST /graphql HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Connection: Close
Accept: */*
Content-Length: 286
Host: graph.facebook.com
Authorization: OAuth CAADo1TDZCuu8BAJngcLchK5Mg0ZAv36M2m0UcJw788xA0z6ygHKW3y0A4pD9RGJ01F78jCByL2ximt3kZAabYANrn2OusHNyjWcicsJdHuifP3ML8iCiBPtuP0ebhut0IdPa1tTUQzNToyRBpIF7kMALp8GhbZCZBAZA1nEaTTEg

fb_api_req_friendly_name=FetchContactsFullQuery&locale=en_US&query_params=%7B%220%22%3A%5B%22user%22%5D%2C%221%22%3A%22500%22%7D&format=json&device_id=3ee28c2a-30e0-4a32-a03a-f9060c5183e2&sig=e56741d7e7bdbc616ea2cd7db785d04b&api_key=256002347743983&method=get&query_id=10153856456271729
DEBUG dns: Created new DNS child 8017, there are now 1 children.
DEBUG dns: Successfully sent DNS request to child 8017
Segmentation fault

Same happens also with latest checkout and manual build:

 BITLBEE_DEBUG=1 /usr/local/sbin/bitlbee -nD -c /etc/bitlbee/bitlbee.conf
About to send HTTP request:
POST /o/oauth2/token HTTP/1.0
Host: accounts.google.com
Content-Type: application/x-www-form-urlencoded
Content-Length: 175

client_id=783993391592.apps.googleusercontent.com&client_secret=6C-Zgf7Tr7gEQTPlBhMUgo7R&grant_type=refresh_token&refresh_token=1%2FNmqUYGUwV9IQ3MugzKJu7fMf29uFtx40olYSofb2C20
About to send HTTP request:
GET /1.1/friends/ids.json?cursor=-1 HTTP/1.1
Host: api.twitter.com
User-Agent: BitlBee 3.4.2 Linux/x86_64
Authorization: OAuth oauth_consumer_key="xsDNKJuNZYkZyMcu914uEA", oauth_nonce="zzLNdoS7ei2atkod2PodWkWXpmSL", oauth_signature_method="HMAC-SHA1", oauth_timestamp="1462523674", oauth_token="286857137-uM5M8XQGev6oqyxVkpf3kjUkCDJqtYF1BUvn8zUC", oauth_version="1.0", oauth_signature="QjpWIWv5eDoEtl3uj0KLMx4GxZQ%3D"


[INFO] facebook: POST Request (0x555ddeb87580): https://graph.facebook.com/graphql
[INFO] facebook:   Content-Type: application/x-www-form-urlencoded
[INFO] facebook:   Connection: Close
[INFO] facebook:   Accept: */*
[INFO] facebook:   Content-Length: 286
[INFO] facebook:   Host: graph.facebook.com
[INFO] facebook:   Authorization: OAuth CAADo1TDZCuu8BAJngcLchK5Mg0ZAv36M2m0UcJw788ZA0z6xvP5E9H4gOlygHKW3y0A4pD9RGJ01F78jCByL2ximt3kZAabYANrn2OusHNyjWcicsJdHuifP3ML8iCiBPtuP0ebhut0IdPa1tTUQzNToyRBpIF7kMALp8GhbZCZBAZA1nEaTTEg
[INFO] facebook:
[INFO] facebook:   fb_api_req_friendly_name=FetchContactsFullQuery&locale=en_US&query_params=%7B%220%22%3A%5B%22user%22%5D%2C%221%22%3A%22500%22%7D&format=json&device_id=3ee28c2a-30e0-4a32-a03a-f9060c5183e2&sig=e56741d7e7bdbc616ea2cd7db785d04b&api_key=256002347743983&method=get&query_id=10153856456271729
About to send HTTP request:
POST /graphql HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Connection: Close
Accept: */*
Content-Length: 286
Host: graph.facebook.com
Authorization: OAuth CAADo1TDZCuu8BAJngcLchK5Mg0ZAv36M2m0UcJw788ZA0z6xvP5E9H4gOlygHKW3y0A4pD9RGJ01F78jCByL2ximt3kZAabYANxn2OusHNyjWcicsJdHuifP3ML8iCiBPtuP0ebhut0IdPa1tTUQzNToyRBpIF7kMALp8GhbZCZBAZA1nEaTTEg

fb_api_req_friendly_name=FetchContactsFullQuery&locale=en_US&query_params=%7B%220%22%3A%5B%22user%22%5D%2C%221%22%3A%22500%22%7D&format=json&device_id=3ee28c2a-30e0-4a32-a03a-f9060c5183e2&sig=e56741d7e7bdbc616ea2cd7db785d04b&api_key=256002347743983&method=get&query_id=10153856456271729
Segmentation fault

Attachments (0)

Change History (5)

comment:1 Changed at 2016-05-06T17:11:00Z by dx

There are access tokens in your debug log. You might want to change your password to invalidate them.

The bug seems to be in bitlbee-facebook, not bitlbee.

Can you reproduce this every time?

Please install valgrind, kill the current bitlbee processes, and run

BITLBEE_DEBUG=1 valgrind --log-file=valgrind.log bitlbee -Dnv

Valgrind will probably prevent the crash and continue running, but write relevant debug output to valgrind.log. Please post that if it shows anything.

comment:2 Changed at 2016-05-07T10:23:42Z by anonymous

Don't worry about the tokens, I've modified them :) I've tried to uninstall, purge and then reinstall. Also renamed the config folder so that I can start a new account. As soon as I've issued a register 'password', bitlbee crashed. Here's the log:

==18830== Memcheck, a memory error detector
==18830== Copyright (C) 2002-2015, and GNU GPL'd, by Julian Seward et al.
==18830== Using Valgrind-3.11.0 and LibVEX; rerun with -h for copyright info
==18830== Command: bitlbee -Dnv -c /etc/bitlbee/bitlbee.conf
==18830== Parent PID: 16067
==18830== 
==18830== Invalid read of size 8
==18830==    at 0x12418A: irc_channel_set_topic (in /usr/local/sbin/bitlbee)
==18830==    by 0x121649: irc_check_login (in /usr/local/sbin/bitlbee)
==18830==    by 0x120BC5: irc_process (in /usr/local/sbin/bitlbee)
==18830==    by 0x11C83E: bitlbee_io_current_client_read (in /usr/local/sbin/bitlbee)
==18830==    by 0x130974: ??? (in /usr/local/sbin/bitlbee)
==18830==    by 0x5390FD9: g_main_context_dispatch (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4800.0)
==18830==    by 0x539137F: ??? (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4800.0)
==18830==    by 0x53916A1: g_main_loop_run (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4800.0)
==18830==    by 0x11BA1D: main (in /usr/local/sbin/bitlbee)
==18830==  Address 0x20 is not stack'd, malloc'd or (recently) free'd
==18830== 
==18830== 
==18830== Process terminating with default action of signal 11 (SIGSEGV)
==18830==    at 0x5E962A9: raise (pt-raise.c:35)
==18830==    by 0x5E963CF: ??? (in /lib/x86_64-linux-gnu/libpthread-2.23.so)
==18830==    by 0x124189: irc_channel_set_topic (in /usr/local/sbin/bitlbee)
==18830==    by 0x121649: irc_check_login (in /usr/local/sbin/bitlbee)
==18830==    by 0x120BC5: irc_process (in /usr/local/sbin/bitlbee)
==18830==    by 0x11C83E: bitlbee_io_current_client_read (in /usr/local/sbin/bitlbee)
==18830==    by 0x130974: ??? (in /usr/local/sbin/bitlbee)
==18830==    by 0x5390FD9: g_main_context_dispatch (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4800.0)
==18830==    by 0x539137F: ??? (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4800.0)
==18830==    by 0x53916A1: g_main_loop_run (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4800.0)
==18830==    by 0x11BA1D: main (in /usr/local/sbin/bitlbee)
==18830== 
==18830== HEAP SUMMARY:
==18830==     in use at exit: 237,047 bytes in 1,542 blocks
==18830==   total heap usage: 3,268 allocs, 1,726 frees, 960,329 bytes allocated
==18830== 
==18830== LEAK SUMMARY:
==18830==    definitely lost: 0 bytes in 0 blocks
==18830==    indirectly lost: 0 bytes in 0 blocks
==18830==      possibly lost: 1,352 bytes in 18 blocks
==18830==    still reachable: 235,695 bytes in 1,524 blocks
==18830==                       of which reachable via heuristic:
==18830==                         newarray           : 1,536 bytes in 16 blocks
==18830==         suppressed: 0 bytes in 0 blocks
==18830== Rerun with --leak-check=full to see details of leaked memory
==18830== 
==18830== For counts of detected and suppressed errors, rerun with: -v
==18830== ERROR SUMMARY: 1 errors from 1 contexts (suppressed: 0 from 0)
==18830== could not unlink /tmp/vgdb-pipe-from-vgdb-to-18830-by-root-on-???
==18830== could not unlink /tmp/vgdb-pipe-to-vgdb-from-18830-by-root-on-???
==18830== could not unlink /tmp/vgdb-pipe-shared-mem-vgdb-18830-by-root-on-??? 
Last edited at 2016-05-07T16:45:08Z by dx (previous) (diff)

comment:3 Changed at 2016-05-07T10:43:36Z by anonymous

Ok, found out something interesting. I've installed mirc client , instead of kiwi irc. And with this one, it won't crash. So it must be something with kiwi weblient, that causes bitlbee to crash.

comment:4 Changed at 2016-05-07T17:12:08Z by dx

Description: modified (diff)

(added code block to description)

That's a very different crash. Upgrade to the latest git version to fix it. I hadn't seen that one in the wild until now, sucks that kiwiirc triggers it.

But I don't think it's relevant to the first one you posted.

Also, please build bitlbee with ./configure --debug=1

comment:5 Changed at 2016-05-10T01:42:40Z by dx

Resolution: notmyfault
Status: newclosed

Okay, going to assume this issue is actually bitlbee-facebook's ticket #82, given the timing of this report and others.

The kiwiirc issue, while unrelated to the original report, should be handled with this: https://github.com/prawnsalad/KiwiIRC/pull/876

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.